XSLDBG(1)

NAME
xsldbg - Ett kommandoradsverktyg för att felsöka i XSLT-skript

SYNOPSIS

xsldbg [--shell] [--cd <SÖKVÄG>] [--param <NAMN>:<VÄRDE>] [--lang <SPRÅK>] [--output <FIL>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth värde] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

BESKRIVNING

xsldbg är ett verktyg som är avsett att hjälpa till med att förstå stilmallar. Vad som gör det annorlunda jämfört med andra felsökare för stilmallar är möjligheten att söka efter intressanta objekt och att spåra stilmallens körning.

xsldbg är ett textbaserat verktyg för att felsöka i stilmallar (eXtensible Stylesheet Language) och har kommandon som liknar Unix/Linux avlusaren gdb. Det har tre huvudlägen för körning av stilmallar.

•   Köra hela stilmallen

•   Stega till nästa XSL-instruktion

•   Fortsätta till nästa brytpunkt hittas, eller stilmallen startas om

VäLJARE
Programväljare

Observera: För att inaktivera en väljare, lägg till 'no' framför väljarens namn, t.ex. 'nonet'

Observera: Väljare som är markerade med '*' är normalt aktiva

--shell
    Starta ett skal, och när det väl har startat använd hjälpkommandot i xsldbg för att få hjälp vid körning.

--cd <SÖKVÄG>
    Sökväg att gå till innan filer laddas. Se också dokumentationen för kommandot 'cd'

--param <NAMN>:<VÄRDE>
    Lägg till en parameter med namn <NAMN> och värde <VÄRDE> i XSL-miljön. Se också dokumentation för kommandot 'addparam' Observera: Ett '=' kan användas för att skilja namn och värde åt istället för ':'

--lang <SPRÅK>
    Använd angiven ISO 639 språkkod, till exempel sv

--output <FIL>
    Spara i en given fil. Se också dokumentationen för kommandot 'output'

---version
    Visa version av libxml och libxslt som används

--verbose
    Visa loggar av vad som händer

--timing
    Visa tiden som används

--repeat
    Kör transformeringen 20 gånger. Om --repeat anges två gånger, kör transformeringen 100 gånger

--debug
    Skriv ut resultatträdet istället, om libxml har stöd för det aktiverat

--valid*
    Aktiverar DTD-laddningsfasen, som normalt är aktiverad

--out*
    Aktiverar utskrift av resultatet, som normalt är aktiverad

--maxdepth värde
    Öka maximalt djup

--html
    Indatadokumentet eller -dokumenten är en eller flera HTML-filer. Behandla dem som sådana om libxml har stöd för det aktiverat

--docbook
    Indatadokumentet är SGML docbook, om libxml har stöd för det aktiverat

--net*
    Aktivera hämtning av DTD:er eller objekt via nätverk, som normalt är aktiverad

--catalogs
    Använd kataloger från $SGML_CATALOG_FILES, om libxml har stöd för det aktiverat

--xinclude*
    Aktivera stöd för behandling av XInclude vid inläsning av dokument om libxml har stöd för det aktiverat, som normalt är aktiverat

--profile
    Skriv ut profileringsinformation

--gdb*
    Kör i GDB-kompatibilitetsläge och skriv ut mer information, som normalt är aktiverat

--autoencode*
    Detektera och använd kodning i stilmallen

--utf8input
    Behandla indata från kommandoraden som kodat med UTF-8

--preferhtml
    Använd HTML-utmatning när sökrapporter skapas

--stdout
    Skriv ut alla felmeddelanden på standardutmatningen. Normalt skrivs felmeddelanden ut på standardfelutmatningen.

--autorestart
    Aktivera automatisk omstart av körning när det nuvarande behandlingsomgången är färdig

+XSLSource
    XSL-skript att köra (valfritt)

+XMLData
    XML-data att omvandla (valfritt om XSLSource anges)

UPPHOVSMäN

xsldbg skrivs och underhålls för närvarande av Keith Isdale<keith@kdewebdev.org>

AUTHOR
Keith Isdale.